Subject: Re: bug#66188: 29.1; Include Atom feed reader

From: Daniel Semyonov <[email-masked]>
Date: Thu, 08 Feb 2024 13:42:23 +0200

>>>>> James Thomas writes:

    > Another thing: The article numbers seem to be assigned in the
    > reverse order of datetime on each fetch: ie. the later posts seem
    > to have a smaller number. Is this intentional?

The articles are numbered based on the order they appear in the feed.
This could be changed, however there is no requirement to place feed
items in a chronological order in Atom (or other feed formats AFAIK), so
this would "fix" this for some feeds while "breaking" it for others.
I think it would be better to just explicitly sort by date in this case.

Daniel